Loading...
Searching...
No Matches
casacore::StatisticsData Class Reference

This class defines the enum of supported statistics types in the statistics framework. More...

`#include <StatisticsData.h>`

## Public Types

enum | ALGORITHM { BIWEIGHT , CHAUVENETCRITERION , CLASSICAL , FITTOHALF , HINGESFENCES }
| implemented algorithms More...
enum | STATS { MAX , MEAN , MIN , NPTS , RMS , STDDEV , SUM , SUMSQ , SUMWEIGHTS , VARIANCE , MEDIAN , MEDABSDEVMED , FIRST_QUARTILE , THIRD_QUARTILE , INNER_QUARTILE_RANGE }

## Static Public Member Functions

static std::map< Double, uInt64 > | indicesFromFractions (uInt64 npts, const std::set< Double > &fractions)
| get the zero-based indices of the specified fractions in a CDF with npts number of good points.
static String | toString (STATS stat)

## Detailed Description

This class defines the enum of supported statistics types in the statistics framework.

Definition at line 41 of file StatisticsData.h.

## Member Enumeration Documentation

## ALGORITHM

enum casacore::StatisticsData::ALGORITHM

implemented algorithms

Enumerator
BIWEIGHT |
CHAUVENETCRITERION |
CLASSICAL |
FITTOHALF |
HINGESFENCES |

Definition at line 45 of file StatisticsData.h.

## STATS

enum casacore::StatisticsData::STATS

Enumerator
MAX |
MEAN |
MIN |
NPTS |
RMS |
STDDEV |
SUM |
SUMSQ |
SUMWEIGHTS | sum of weights
VARIANCE |
MEDIAN | commonly used quantile-related types
MEDABSDEVMED |
FIRST_QUARTILE |
THIRD_QUARTILE |
INNER_QUARTILE_RANGE | inner quartile range, Q3 - Q1

Definition at line 53 of file StatisticsData.h.

## Member Function Documentation

## indicesFromFractions()

std::map< Double, uInt64 > casacore::StatisticsData::indicesFromFractions | ( | uInt64 | npts,
|  | const std::set< Double > & | fractions )

static

get the zero-based indices of the specified fractions in a CDF with npts number of good points.

The returned map maps fractions to indices.

## toString()

String casacore::StatisticsData::toString | ( | STATS | stat | ) |

static

The documentation for this class was generated from the following file:

- scimath/StatsFramework/StatisticsData.h